import React from "react"
import Link from '@docusaurus/Link'

export default ({ to, withMethod='get', children }) => {
  const url = `/docs/apis/delivery-service#${withMethod.toLowerCase()}-${to.replaceAll(/\{|\}/g, '-')}`
  if (children) {
    return <Link to={url}>{children}</Link>
  } else {
    return <Link to={url}><code>{withMethod.toUpperCase()} {to}</code></Link>
  }

}

// http://localhost:3000/docs/apis/delivery-service#post-/submissions/%3CsubmissionId%3E/events
// http://localhost:3000/docs/apis/delivery-service#post-/submissions/-submissionId-/events
